import React from 'react';
import ReactCSSTransitionGroup from 'react-addons-css-transition-group';

import './Animated.scss';

function Animated(props) {
  return (
    <ReactCSSTransitionGroup
      transitionName="animated"
      transitionAppear={true}
      transitionAppearTimeout={200}
      transitionEnterTimeout={200}
      transitionLeaveTimeout={200}
      {...props}
    >
      {props.children}
    </ReactCSSTransitionGroup>
  );
}

export default Animated;
