import React, { PropTypes } from 'react';

import './FormSection.scss';

function FormSection(props) {
  return (
    <div className="FormSection">
      <h4>{props.title}</h4>
      <hr/>
      {props.children}
    </div>
  );
}

FormSection.propTypes = {
  title: PropTypes.string.isRequired
};

export default FormSection;
