import React, { Component, PropTypes } from 'react';

import './Label.scss';

class Label extends Component {
  static propTypes = {
    content: PropTypes.node
  };

  static defaultProps = {};

  render() {
    if (!this.props.content) return null;
    return (<div className="Label">{this.props.content}</div>);
  }
}


export default Label;
